=== debian/changelog ===
mapraster (2026.01.06-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Mark python-mapraster-doc as Multi-Arch: foreign.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 01 Mar 2026 11:06:33 +0000

mapraster (2026.01.06-2) unstable; urgency=medium

  * Source only upload.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 22 Feb 2026 21:22:55 +0000

mapraster (2026.01.06-1) unstable; urgency=low

  * Initial release (Closes: #1124974).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 11 Jan 2026 01:17:03 +0000
