=== debian/control ===
Source: mapraster
Section: python
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               libjs-requirejs <!nodoc>,
               pandoc <!nodoc>,
               pybuild-plugin-pyproject,
               python3-poetry-core,
               python3-all,
               python3-ipykernel <!nodoc>,
               python3-matplotlib <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-rioxarray <!nocheck>,
               python3-scipy,
               python3-shapely <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-xarray
Standards-Version: 4.7.3
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/umr-lops/mapraster
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapraster
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapraster.git
Description: Python library to interpolate xarray data in image geometry
 mapraster provides utilities to map a lon/lat raster onto an image
 grid defined by 2D longitude/latitude coordinates.
 .
 It works with xarray datasets and supports antimeridian crossing and
 NaN handling.

Package: python3-mapraster
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: python-mapraster-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-requirejs,
         ${sphinxdoc:Depends},
         ${misc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package provides HTML documentation.
