=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=mapraster

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html docs $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
	find $(CURDIR)/.pybuild/docs/html/ -type f -print0 | xargs --no-run-if-empty -0 \
	sed -i 's|https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js|file:///usr/share/javascript/requirejs/require.min.js|g'
	python3 debian/fixdocs.py .pybuild/docs/html/examples/how_to_use.html
	python3 debian/fixdocs.py .pybuild/docs/html/examples/test_map_raster_visualization.html
endif
